Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1360476 - [abrt] dnf
Summary: [abrt] dnf
Keywords:
Status: CLOSED DUPLICATE of bug 1359521
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:fc2739ff025e0cb4e7c277deba2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-26 21:18 UTC by webdesigner
Modified: 2016-10-18 18:04 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 05:49:52 UTC


Attachments (Terms of Use)
File: _var_log_dnf.log (deleted)
2016-07-26 21:18 UTC, webdesigner
no flags Details
File: backtrace (deleted)
2016-07-26 21:18 UTC, webdesigner
no flags Details
File: environ (deleted)
2016-07-26 21:18 UTC, webdesigner
no flags Details
File: dnf-makecache.log (deleted)
2016-07-26 21:18 UTC, webdesigner
no flags Details

Description webdesigner 2016-07-26 21:18:24 UTC
Version-Release number of selected component:
dnf-1.1.9-2.fc24

Additional info:
reporter:       libreport-2.7.2
cmdline:        /usr/bin/python3 /usr/bin/dnf update
executable:     /usr/bin/dnf
kernel:         4.6.4-301.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Python3
uid:            0

Truncated backtrace:
editutil.py:75:wrapper:gpgme.GpgmeError: (32, 1, 'Загальна помилка')

Traceback (most recent call last):
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 226, in perform
    return super(_Handle, self).perform(result)
  File "/usr/lib64/python3.5/site-packages/librepo/__init__.py", line 1506, in perform
    _librepo.Handle.perform(self, result)
librepo.LibrepoException: (25, 'repomd.xml GPG signature verification error: Bad GPG signature', 'Bad GPG signature')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 592, in _handle_load
    return self._handle_load_with_pubring(handle)
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 610, in _handle_load_with_pubring
    return self._handle_load_core(handle)
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 603, in _handle_load_core
    result = handle.perform()
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 230, in perform
    raise _DetailedLibrepoError(exc, source)
dnf.repo._DetailedLibrepoError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 112, in _main
    cli.run()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 1095, in run
    self._process_demands()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 810, in _process_demands
    load_available_repos=lar)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 239, in fill_sack
    self._add_repo_to_sack(r)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 111, in _add_repo_to_sack
    repo.load()
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 835, in load
    self._handle_load(handle)
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 597, in _handle_load
    dnf.crypto.import_repo_keys(self)
  File "/usr/lib/python3.5/site-packages/dnf/crypto.py", line 62, in import_repo_keys
    make_ro_copy=False)
  File "/usr/lib/python3.5/site-packages/dnf/yum/misc.py", line 318, in import_key_to_pubring
    return True
  File "/usr/lib64/python3.5/contextlib.py", line 77, in __exit__
    self.gen.throw(type, value, traceback)
  File "/usr/lib/python3.5/site-packages/dnf/crypto.py", line 95, in pubring_dir
    yield
  File "/usr/lib/python3.5/site-packages/dnf/yum/misc.py", line 293, in import_key_to_pubring
    gpgme.editutil.edit_trust(ctx, k, gpgme.VALIDITY_ULTIMATE)
  File "/usr/lib64/python3.5/site-packages/gpgme/editutil.py", line 75, in wrapper
    ctx.edit(key, edit_callback, output)
gpgme.GpgmeError: (32, 1, 'Загальна помилка')

Local variables in innermost frame:
kwargs: {}
gen: <generator object edit_trust at 0x7fcd7b0fe258>
function: <function edit_trust at 0x7fcd7f6e3598>
edit_callback: <function key_editor.<locals>.wrapper.<locals>.edit_callback at 0x7fcd7b107620>
key: <gpgme.Key object at 0x7fcd7ba822e8>
args: (5,)
output: <_io.BytesIO object at 0x7fcd7b0fe0a0>
ctx: <gpgme.Context object at 0x7fcd7ba82318>

Comment 1 webdesigner 2016-07-26 21:18:36 UTC
Created attachment 1184390 [details]
File: _var_log_dnf.log

Comment 2 webdesigner 2016-07-26 21:18:38 UTC
Created attachment 1184391 [details]
File: backtrace

Comment 3 webdesigner 2016-07-26 21:18:40 UTC
Created attachment 1184392 [details]
File: environ

Comment 4 webdesigner 2016-07-26 21:18:41 UTC
Created attachment 1184393 [details]
File: dnf-makecache.log

Comment 5 Igor Gnatenko 2016-07-27 05:49:52 UTC

*** This bug has been marked as a duplicate of bug 1359521 ***

Comment 6 webdesigner 2016-10-18 18:04:39 UTC
*** Bug 1386356 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.